org.gitana.platform.support

## Class Pagination

- java.lang.Object
- - org.gitana.platform.support.Pagination

    public class Pagination
    extends Object

Describes how a paginated result set should be handed back by the repository.

Author:
  uzi

### Constructor Summary

Constructors
Constructor and Description
`Pagination()`
`Pagination(int skip, int limit)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static Pagination` `create(int skip, int limit)`
`static Pagination` `fromJSON(com.fasterxml.jackson.databind.node.ObjectNode object)`
`static Pagination` `fromSorting(Sorting sorting)`
`int` `getLimit()`
`int` `getSkip()`
`Sorting` `getSorting()`
`boolean` `hasLimit()`
`boolean` `hasSkip()`
`static Pagination` `limit(int limit)`
`void` `setLimit(int limit)`
`void` `setSkip(int skip)`
`void` `setSorting(Sorting sorting)`
`com.fasterxml.jackson.databind.node.ObjectNode` `toJSON()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Pagination

    public Pagination()

#### Pagination

    public Pagination(int skip,
                      int limit)

### Method Detail

#### create

    public static Pagination create(int skip,
                                    int limit)

#### limit

    public static Pagination limit(int limit)

#### setSkip

    public void setSkip(int skip)

#### getSkip

    public int getSkip()

#### hasSkip

    public boolean hasSkip()

#### setLimit

    public void setLimit(int limit)

#### getLimit

    public int getLimit()

#### hasLimit

    public boolean hasLimit()

#### getSorting

    public Sorting getSorting()

#### setSorting

    public void setSorting(Sorting sorting)

#### toJSON

    public com.fasterxml.jackson.databind.node.ObjectNode toJSON()

#### fromJSON

    public static Pagination fromJSON(com.fasterxml.jackson.databind.node.ObjectNode object)

#### fromSorting

    public static Pagination fromSorting(Sorting sorting)